%define oname pyinotify

Summary:	Python module for monitoring filesystems changes
Name:		python-%{oname}
Version:	0.9.4
Release:	%mkrel 9
License:	MIT
Group:		Development/Python
Url:		http://github.com/seb-m/pyinotify
Source0:	https://pypi.python.org/packages/source/p/%{oname}/%{oname}-%{version}.tar.gz
Source1:	%{oname}
BuildRequires:	pkgconfig(python)
BuildArch:	noarch
Provides:	%{oname} = %{version}-%{release}

%description
Pyinotify is a pure Python module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since 
kernel 2.6.13). inotify is an event-driven notification mechanism, its 
notifications are exported to user space through three system calls. 
Pyinotify binds these system calls and provides an implementation on 
top of them.

%package -n python3-%{oname}
Summary:	Python 3 module for monitoring filesystems changes
Group:		Development/Python
BuildRequires:	pkgconfig(python3)

%description -n python3-%{oname}
Pyinotify is a pure Python 3 module for monitoring filesystems changes.
Pyinotify relies on inotify, a Linux Kernel functionality (since 
kernel 2.6.13). inotify is an event-driven notification mechanism, its 
notifications are exported to user space through three system calls. 
Pyinotify binds these system calls and provides an implementation on 
top of them.

%prep
%setup -q -n %{oname}-%{version}

%autopatch -p1
cp -a . %{py3dir} 

%build
%{__python} setup.py build

pushd %{py3dir} 
%{__python3} setup.py build
popd

%install
# Install python 3 first, so that python 2 gets precedence:
pushd %{py3dir}
%{__python3} setup.py install -O1 --skip-build --root %{buildroot}
%{__install} -D -m 0755 -p %{SOURCE1} %{buildroot}%{_bindir}/python3-%{oname}
%{__sed} -i -e 's/^python /python3 /' %{buildroot}%{_bindir}/python3-%{oname}
%{__chmod} 0755 %{buildroot}%{python3_sitelib}/%{oname}.py
popd

%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__install} -D -m 0755 -p %{SOURCE1} %{buildroot}%{_bindir}/%{oname}
%{__chmod} 0755 %{buildroot}%{python_sitelib}/%{oname}.py

%files
%doc README*
%{_bindir}/%{oname}
%{python_sitelib}/%{oname}*

%files -n python3-%{oname}
%doc README*
%{_bindir}/python3-%{oname}
%{python3_sitelib}/*



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0.9.4-9.mga6
+ Revision: 970966
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0.9.4-8.mga6
+ Revision: 888846
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-7.mga5
+ Revision: 749616
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.9.4-6.mga5
+ Revision: 729461
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-5.mga5
+ Revision: 688260
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.9.4-4.mga5
+ Revision: 628949
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.9.4-3.mga4
+ Revision: 543977
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.9.4-2.mga4
+ Revision: 499223
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Sep 01 2013 philippem <philippem> 0.9.4-1.mga4
+ Revision: 474133
- Update to 0.9.4, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0.9.3-2.mga3
+ Revision: 379368
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 11 2012 philippem <philippem> 0.9.3-1.mga2
+ Revision: 207299
- Update to O.9.3.

* Wed Oct 26 2011 philippem <philippem> 0.9.2-1.mga2
+ Revision: 158288
- New upstream 0.9.2

* Thu Mar 10 2011 ahmad <ahmad> 0.9.1-2.mga1
+ Revision: 67345
- imported package python-pyinotify


* Sun Oct 31 2010 Jani Välimaa <wally@mandriva.org> 0.9.1-1mdv2011.0
+ Revision: 591120
- new version 0.9.1
- fix url & license
- drop py_requires macro

* Sat Jul 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.0-1mdv2011.0
+ Revision: 550143
- update to new version 0.9.0

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.9-1mdv2010.1
+ Revision: 489190
- update to new version 0.8.9

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - update to new version 0.8.9

* Sat Nov 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.8-1mdv2010.1
+ Revision: 462260
- update to new version 0.8.8

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.7-1mdv2010.0
+ Revision: 449203
- Update to new version 0.8.7
- Remove libc version check patch integrated upstream

* Sun Jun 07 2009 Jérôme Brenier <incubusss@mandriva.org> 0.8.6-2mdv2010.0
+ Revision: 383771
- fix libc version check

* Sun Jun 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.6-1mdv2010.0
+ Revision: 383755
- do some speac file cleaning

  + Jérôme Brenier <incubusss@mandriva.org>
    - initial package python-pyinotify
    - Created package structure for python-pyinotify.

